gnutls_session_ticket_enable_server(3)

NAME
gnutls_session_ticket_enable_server - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_ticket_enable_server(gnutls_session_t session, const gnutls_datum_t * key);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const gnutls_datum_t * key
    key to encrypt session parameters.

DESCRIPTION
Request that the server should attempt session resumption using session tickets, i.e., by delegating storage to the client.
 key must be initialized using gnutls_session_ticket_key_generate(). To avoid leaking that key, use gnutls_memset() prior to releasing it.

The default ticket expiration time can be overridden using gnutls_db_set_cache_expiration().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/